ru.bitel.bgbilling.kernel.tariff.option.server.event

## Class TariffOptionActivatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionActivatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TariffOptionActivatedEvent
      extends QueueEvent

  Скриптовое событие об активации тарифной опции.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TariffOptionActivatedEvent()`
    `` | `TariffOptionActivatedEvent(int userId, ContractTariffOption contractOption, TariffOptionActivateMode mode, TariffOption option, boolean reactivated)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TariffOptionActivateMode` | `getActivateMode()`
    `ContractTariffOption` | `getContractOption()`
    `TariffOption` | `getOption()`
    `boolean` | `isReactivated()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffOptionActivatedEvent

          protected TariffOptionActivatedEvent()

    - #### TariffOptionActivatedEvent

          public TariffOptionActivatedEvent(int userId,
                                            ContractTariffOption contractOption,
                                            TariffOptionActivateMode mode,
                                            TariffOption option,
                                            boolean reactivated)

  - ### Method Detail

    - #### getContractOption

          public ContractTariffOption getContractOption()

    - #### getActivateMode

          public TariffOptionActivateMode getActivateMode()

    - #### getOption

          public TariffOption getOption()

    - #### isReactivated

          public boolean isReactivated()